Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives.adapters
Class CollectionLongCollection

    java.lang.Object
      org.apache.commons.collections.primitives.adapters.AbstractCollectionLongCollection
          org.apache.commons.collections.primitives.adapters.CollectionLongCollection

All Implemented Interfaces:
  LongCollection, Serializable

public final class CollectionLongCollection
extends org.apache.commons.collections.primitives.adapters.AbstractCollectionLongCollection
implements Serializable

Adapts a `Number`-valued `Collection` to the `LongCollection` interface.

This implementation delegates most methods to the provided `Collection` implementation in the "obvious" way.

Since:
  Commons Primitives 1.0
Version:
  $Revision: 1.3 $ $Date: 2003/10/16 20:49:39 $
Author:
  Rodney Waldhoff
See Also:
  Serialized Form

Constructor Summary
`CollectionLongCollection(Collection collection)` Creates an `LongCollection` wrapping the specified `Collection`.

Method Summary
`boolean` | `add(long element)` Ensures that I contain the specified element (optional operation).
`boolean` | `addAll(LongCollection c)` `Adds` all of the elements in the specified collection to me (optional operation).
`void` | `clear()` Removes all my elements (optional operation).
`boolean` | `contains(long element)` Returns `true` iff I contain the specified element.
`boolean` | `containsAll(LongCollection c)` Returns `true` iff I `contain` all of the elements in the given collection.
`protected Collection` | `getCollection()`
`boolean` | `isEmpty()` Returns `true` iff I contain no elements.
`LongIterator` | `iterator()` `wraps` the `Iterator` returned by my underlying `Collection`, if any.
`boolean` | `removeAll(LongCollection c)` Removes all of my elements that are contained in the specified collection (optional operation).
`boolean` | `removeElement(long element)` Removes a single occurrence of the specified element (optional operation).
`boolean` | `retainAll(LongCollection c)` Removes all of my elements that are not contained in the specified collection (optional operation).
`int` | `size()` Returns the number of elements I contain.
`long[]` | `toArray()` Returns an array containing all of my elements.
`long[]` | `toArray(long[] dest)` Returns an array containing all of my elements, using the given array if it is large enough.
`String` | `toString()`
`static LongCollection` | `wrap(Collection collection)` Create an `LongCollection` wrapping the specified `Collection`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionLongCollection

    public CollectionLongCollection(Collection collection)

  Creates an `LongCollection` wrapping the specified `Collection`.

See Also:
  `wrap(java.util.Collection)`

Method Detail

### wrap

    public static LongCollection wrap(Collection collection)

  Create an `LongCollection` wrapping the specified `Collection`. When the given collection is `null`, returns `null`.

  Parameters:
    `collection` - the (possibly `null`) `Collection` to wrap
  Returns:
    an `LongCollection` wrapping the given collection, or `null` when collection is `null`.

### getCollection

    protected Collection getCollection()

### add

    public boolean add(long element)

  Description copied from interface: `LongCollection`
  Ensures that I contain the specified element (optional operation). Returns `true` iff I changed as a result of this call.

  If a collection refuses to add the specified element for any reason other than that it already contains the element, it must throw an exception (rather than simply returning `false`). This preserves the invariant that a collection always contains the specified element after this call returns.

  Specified by:
    `add` in interface `LongCollection`
  Parameters:
    `element` - the value whose presence within me is to be ensured
  Returns:
    `true` iff I changed as a result of this call

### addAll

    public boolean addAll(LongCollection c)

  Description copied from interface: `LongCollection`
  `Adds` all of the elements in the specified collection to me (optional operation).

  Specified by:
    `addAll` in interface `LongCollection`
  Parameters:
    `c` - the collection of elements whose presence within me is to be ensured
  Returns:
    `true` iff I changed as a result of this call

### clear

    public void clear()

  Description copied from interface: `LongCollection`
  Removes all my elements (optional operation). I will be `empty` after this method successfully returns.

  Specified by:
    `clear` in interface `LongCollection`

### contains

    public boolean contains(long element)

  Description copied from interface: `LongCollection`
  Returns `true` iff I contain the specified element.

  Specified by:
    `contains` in interface `LongCollection`
  Parameters:
    `element` - the value whose presence within me is to be tested
  Returns:
    `true` iff I contain the specified element

### containsAll

    public boolean containsAll(LongCollection c)

  Description copied from interface: `LongCollection`
  Returns `true` iff I `contain` all of the elements in the given collection.

  Specified by:
    `containsAll` in interface `LongCollection`
  Parameters:
    `c` - the collection of elements whose presence within me is to be tested
  Returns:
    `true` iff I contain the all the specified elements

### toString

    public String toString()

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `LongCollection`
  Returns `true` iff I contain no elements.

  Specified by:
    `isEmpty` in interface `LongCollection`
  Returns:
    `true` iff I contain no elements.

### iterator

    public LongIterator iterator()

  `wraps` the `Iterator` returned by my underlying `Collection`, if any.

  Specified by:
    `iterator` in interface `LongCollection`
  Returns:
    an `iterator` over all my elements.

### removeElement

    public boolean removeElement(long element)

  Description copied from interface: `LongCollection`
  Removes a single occurrence of the specified element (optional operation).

  Specified by:
    `removeElement` in interface `LongCollection`
  Parameters:
    `element` - the element to remove, if present
  Returns:
    `true` iff I contained the specified element, in other words, iff I changed as a result of this call

### removeAll

    public boolean removeAll(LongCollection c)

  Description copied from interface: `LongCollection`
  Removes all of my elements that are contained in the specified collection (optional operation). The behavior of this method is unspecified if the given collection is modified while this method is executing. Note that this includes the case in which the given collection is this collection, and it is not empty.

  Specified by:
    `removeAll` in interface `LongCollection`
  Parameters:
    `c` - the collection of elements to remove
  Returns:
    `true` iff I contained the at least one of the specified elements, in other words, returns `true` iff I changed as a result of this call

### retainAll

    public boolean retainAll(LongCollection c)

  Description copied from interface: `LongCollection`
  Removes all of my elements that are not contained in the specified collection (optional operation). (In other words, retains only my elements that are contained in the specified collection.) The behavior of this method is unspecified if the given collection is modified while this method is executing.

  Specified by:
    `retainAll` in interface `LongCollection`
  Parameters:
    `c` - the collection of elements to retain
  Returns:
    `true` iff I changed as a result of this call

### size

    public int size()

  Description copied from interface: `LongCollection`
  Returns the number of elements I contain.

  Specified by:
    `size` in interface `LongCollection`
  Returns:
    the number of elements I contain

### toArray

    public long[] toArray()

  Description copied from interface: `LongCollection`
  Returns an array containing all of my elements. The length of the returned array will be equal to my `size`.

  The returned array will be independent of me, so that callers may modify that returned array without modifying this collection.

  When I guarantee the order in which elements are returned by an `iterator`, the returned array will contain elements in the same order.

  Specified by:
    `toArray` in interface `LongCollection`
  Returns:
    an array containing all my elements

### toArray

    public long[] toArray(long[] dest)

  Description copied from interface: `LongCollection`
  Returns an array containing all of my elements, using the given array if it is large enough. When the length of the given array is larger than the number of elements I contain, values outside of my range will be unchanged.

  The returned array will be independent of me, so that callers may modify that returned array without modifying this collection.

  When I guarantee the order in which elements are returned by an `iterator`, the returned array will contain elements in the same order.

  Specified by:
    `toArray` in interface `LongCollection`
  Parameters:
    `dest` - an array that may be used to contain the elements
  Returns:
    an array containing all my elements

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.